package com.aaron.kakao.hospitalmapfortube

import android.app.Application
import com.aaron.kakao.hospitalmapfortube.di.apiModule
import com.aaron.kakao.hospitalmapfortube.di.networkModule
import com.aaron.kakao.hospitalmapfortube.di.viewModelModule
import org.koin.android.ext.koin.androidContext
import org.koin.core.context.startKoin

/**
 * Created by aaron on 2020-03-26
 */

class HospitalMapForTube : Application() {

    override fun onCreate() {
        super.onCreate()

        startKoin {
            androidContext(this@HospitalMapForTube)
            modules(
                viewModelModule,
                networkModule,
                apiModule
            )
        }
    }
}